TripleKeyHashMap (Groovy 4.0.15)
Description: declaration: package: org.codehaus.groovy.util, class: TripleKeyHashMap

Package org.codehaus.groovy.util

# Class TripleKeyHashMap

java.lang.Object
org.codehaus.groovy.util.ComplexKeyHashMap
org.codehaus.groovy.util.TripleKeyHashMap

@Deprecated public class TripleKeyHashMap extends ComplexKeyHashMap
Deprecated.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TripleKeyHashMap.Entry`
  Deprecated.

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

  `ComplexKeyHashMap.EntryIterator`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

  `DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TripleKeyHashMap()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkEquals(TripleKeyHashMap.Entry e, Object key1, Object key2, Object key3)`
  Deprecated.
  `TripleKeyHashMap.Entry`
  `createEntry()`
  Deprecated.
  `final Object`
  `get(Object key1, Object key2, Object key3)`
  Deprecated.
  `TripleKeyHashMap.Entry`
  `getOrPut(Object key1, Object key2, Object key3)`
  Deprecated.
  `final ComplexKeyHashMap.Entry`
  `remove(Object key1, Object key2, Object key3)`
  Deprecated.

  ### Methods inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

  `clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TripleKeyHashMap

    public TripleKeyHashMap()
    Deprecated.

- ## Method Details

  - ### get

    public final Object get(Object key1, Object key2, Object key3)
    Deprecated.

  - ### checkEquals

    public boolean checkEquals(TripleKeyHashMap.Entry e, Object key1, Object key2, Object key3)
    Deprecated.

  - ### getOrPut

    public TripleKeyHashMap.Entry getOrPut(Object key1, Object key2, Object key3)
    Deprecated.

  - ### createEntry

    public TripleKeyHashMap.Entry createEntry()
    Deprecated.

  - ### remove

    public final ComplexKeyHashMap.Entry remove(Object key1, Object key2, Object key3)
    Deprecated.